Class | Ramaze::Cache::LocalMemCache
In: | lib/ramaze/cache/localmemcache.rb
Parent: | Object

Cache based on the localmemcache library which utilizes mmap to share strings in memory between ruby instances.

### Methods

cache_clear cache_delete cache_fetch cache_setup cache_store

### Included Modules

Cache::API

### Constants

OPTIONS | = | { :size_mb => 1024, :serialize => true, :serializer => ::Marshal, # something that responds to ::load and ::dump }

### Public Instance methods

cache_clear()

Wipe out all data in localmemcached, use with care.

cache_delete(*args)
cache_fetch(*args)

NOTE:

      * We have no way of knowing whether the value really is nil, we
        assume you wouldn't cache nil and return the default instead.

cache_setup(host, user, app, name)

Connect to localmemcache

cache_store(*args)

[Validate]